Gravv DOCS
Docs Agent Get Started
API Reference Get card PIN

Get card PIN

Retrieve the encrypted card PIN.

GET/v1/cards/{card_id}/pin

Headers

Base64-encoded PEM-formatted RSA public key used to encrypt the response. Encode the entire public.pem file contents, including the -----BEGIN PUBLIC KEY----- and -----END PUBLIC KEY----- markers and the newlines between them.

Path Parameters

The ID of the card to retrieve the PIN for

Responses

Status Description
200 Encrypted card PIN retrieved successfully

200 response

Base64 value that holds the AES-GCM encrypted card PIN and includes integrity protection

Base64 value of the AES key encrypted with the client's public key

Base64 value of the nonce required for AES GCM decryption

{
"data": {
"ciphertext": "/et5daK4NHI4ur84fFo+pIwJZXYXOBvNJgp3tF+eOgv0kKPi4w6dYhLY",
"encrypted_key": "LukDQ79S1Sq+6cH0pKYbBMrW2XTaGOieDWYQ1c2d/t24waKSEMx6vPYYqjQh2wfoDNc5wderJQI5x2m9rGH6GBTQk0TVHq9RLmZFj+mqJXQev89FuDu6VAPoehtEZGVia7dVuMv1fnQxHCvkNRnyWF6f1HjSDD+XUTNaHoLbwi8M/TZwwTOqc/gLJgZoKFtNxVCYf0HnSgVC4iNuRHeb9A1YODxlQBf8nfhzAm0kXSIOI7OfAZTX/tFPlDO8ksYVJM99U1RVCuLlLTiDJPctGmUzhBoUbBzozYHl+VhYeOQHv9JRIqensLkjVjfD1XZAV7THdSW9JopIL524uA5Xxw==",
"nonce": "pcepprdxvUnEnPkz"
},
"error": null
}

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC